# Rozšíření příkazů NVDA Galobal #

* Autor: PaulBer19 (pau lber19@laposte.net)
* URL: [https://github.com/paulber19/NVDAExtensionGlobalPlugin.git][3]
* Stažení:
* [stabilní verze][1]
* [verze pro vývoj][2]
* Kompatibilita:
* minimální podporovaná verze NVDA: 2022.1
* Poslední testovaná verze NVDA: 2023.3


Traductor(y): automatický překlad z francouzštiny


Doplněk přidává do NVDA:
## Vlastnosti ##

některé funkce lze povolit nebo zakázat jednotlivě.


* Zobrazení seznamu ikon v oznamovací oblasti nebo oknech spuštěných aplikací,
* Pomoc při skládání symbolu, který je komplexní, jako je například a a e related, mocnina symbolu 2 a možnost přidávat vlastní kategorie a symboly,
* Oznámení nebo zobrazení informací o vybrané aplikaci, jako je její verze, aktivní konfigurační profil, načtený doplněk,
* Rozšíření funkčnosti virtuální vyrovnávací paměti pro prohlížeče Mozilla Firefox, Microsoft Internet Explorer, Microsoft Edge a Google Chrome:

* nové příkazy pro navigační režim (odstavec, rozdělení, kotva, hlavní orientační bod),
* nové typy prvků pro dialogové okno otevřené pomocí "NVDA+F7" (přepínač, odstavec, rámeček, checkBox atd.) s oznámením o počtu nalezených položek,
* oznámení adresy (URL) dokumentu,
* možnost procházení ve smyčce při hledání další nebo předchozí položky,
* skripty pro kliknutí na aktuální pozici objektu prohlížeče,
* skripty pro tabulky:
* oznámení polohy aktuální buňky,
* přesun na další nebo předchozí sloupec / řádek s načtením buněk, které jej tvoří,
* přesun na první / poslední buňku řádku / sloupce (ponechat pro verze NVDA nižší než 2022.2),
* oznámení buněk aktuálního sloupce / řádku.


* Oznámení funkce spojené s editačními příkazy stylu Kopírovat, vyjmout nebo Vložit s:
* přidání vybraného textu do schránky,
* vyprázdnění schránky,
* vylepšení základního skriptu NVDA "NVDA+c", který oznamuje text ve schránce,


* Oznámení předem vybrané složky v dialogových oknech stylu "Otevřít, Uložit", "Uložit jako",
* Otevřete předchozí nebo aktuální protokol NVDA a zkopírujte jejich cestu do schránky,
* historie hlasových projevů,
* přejmenování kláves klávesnice,
* selektivní oznámení příkazových kláves,
* jednoduchý minutník
* restart NVDA v logovací úrovni "ladění" jednoduchým vstupním gestem,
* zobrazení viditelných prvků tvořících objekt v popředí a možnost přesunout se nebo kliknout na prvky,
* rychlé přepínání hlasových profilů,
* perzistence NVDA a modifikačních klíčů a specifická perzistence pro stránky gmail.com,
* vypnutí, restartování nebo uspání počítače,
* správa vstupních gest konfigurovaných uživatelem,
* ovládání zvuku:
* ztlumit nebo zapnout hlasitost pro zaměřenou aplikaci,
* ručně nebo automaticky nastavit hlavní zvuk a zvuk zdroje zvuku NVDA,* upravit úroveň hlavní hlasitosti nebo zvukového zdroje vybrané aplikace,
* automatické obnovení hlavního svazku a NVDA při načítání rozšíření,
* dočasné použití výstupního audio zařízení bez ovlivnění konfigurace NVDA,
* orientace aplikace a zvukového výstupu NVDA,



* Nástroje pro vývoj doplňků,
* Doplňky týkající se data a času:
* kopie data a času do schránky,
* Oznamte čas na hodinách Windows pomocí sekund,
* oznámení času nezávislé na úrovni interpunkce.


* správa uživatelských konfigurací a restart NVDA s přesnou konfigurací,
* textový analyzátor,
* rychlá aktivace / deaktivace doplňků.


## Možnosti ##

* odstranit oznámení z popisu objektů na pásech Windows,
* automatická maximalizace okna,
* systematické oznamování interpunkčních znamének při pohybu po slovech,
* možnost signalizace pravopisných chyb dvojitým pípnutím nebo hlasovým oznámením namísto zvuku vydávaného NVDA.
* možnost zablokování kláves "Insert" a "Caps lock",
* Výslovnost nealfanumerických znaků, když je deaktivována odezva klávesnice po jednotlivých znacích.


## Pokročilé možnosti ##

* Signalizace zvukem zápisu chyby do logu NVDA,
* Název dialogových oken doplňku se shrnutím doplňku,
* konfigurace čekací doby pro opakování stejného vstupního gesta,
* standardně možné použití kláves numerické klávesnice,
* možnost omezit opakování kláves.

## Různé další prvky ##

* menu pro prozkoumání uživatelské konfigurační složky nebo složky programu NVDA,
* prezentace informací o formátování textu v dialogovém okně namísto dokumentu HTML,
* Oznámení textu dialogového okna stylu potvrzení, i když je oznámení popisu položky zakázáno,
* oznámení pozice kurzoru v editačních polích,
* skript pro emulaci klíče "Aplikace",
* skript pro zavření všech otevřených oken,
* skript pro zobrazení seznamu spuštěných doplňků,
* možnost spouštění skriptů z dialogu "Vstupní gesta",
* automatický výběr kategorie v dialogu "Vstupní gesta",
* Výběr posledního nastavení použitého v kroužku nastavení syntezátoru,
* vylepšení pro Windows Explorer:
* skript oznamující přístupovou cestu složky nebo souboru, který je pod kurzorem v průzkumníku Windows, nebo zkopírování této cesty do schránky.
* skript, který ve stromu složek oznámí názvy složek tvořících cestu ke složce obsahující prvek pod kurzorem.


[1]: https://github.com/paulber007/AllMyNVDAAddons/raw/master/NVDAExtensionGlobalPlugin/NVDAExtensionGlobalPlugin-13.2.8.nvda-addon
[2]: https://github.com/paulber007/AllMyNVDAAddons/tree/master/NVDAExtensionGlobalPlugin/dev
[3]:https://github.com/paulber19/NVDAExtensionGlobalPlugin.git