# NVDA global commands extension #

* Author: PaulBer19 (paulber19@laposte.net)
* URL: [https://github.com/paulber19/NVDAExtensionGlobalPlugin.git][3]
* Download:
	* [stable version][1]
	* [developpement version][2]
* Compatibility:
	* minimum supported NVDA version: 2022.1
	* last tested NVDA version: 2024.4


Traductor (s): automatic translation from french language


The add-on adds to NVDA:
## The features ##

some features can be enabled or disabled individually.


* Display of the list of icons in the notification area or windows of applications launched,
* Help in the composition of a symbol that is complex such as, for example, a a e related, a symbol power of 2 and possibility to add its own categories and symbols,
* Announcement or display of information about the application under focus, such as its version, the active configuration profile, loaded add-on,
* Extension of the functionality of the virtual buffer for browsers Mozilla Firefox, Microsoft Internet Explorer, Microsoft Edge, and Google Chrome:

	* new commands for navigation mode (paragraph, division, anchor, main landmark),
	* new types of elements for the dialog box opened by "NVDA+F7" (radio button, paragraph, frame, checkBox, etc) with the announcement of the number of items found,
	* announcement of the address (URL) of the document,
	* option to browse in a loop in search of a next or previous item,
	* scripts to click at the current position of the browser object,
	* scripts for tables:
		* announcement of the position of the current cell,
		* move to the next or previous column / row with reading of the cells composing it,
		* move to the first / last cell of the row / column (keep for NVDA versions lower than 2022.2),
		* announcement of the cells of the current column / row.


* Announcement of the function associated with editing commands style Copy, cut or Paste with:
	* adding the selected text to the clipboard,
	* emptying the clipboard,
	* improvement of the NVDA base script "NVDA+c" which announces the text in the clipboard,


* Announcement of the pre-selected folder in the "Open, Save", "Save as" style dialog boxes,
* Open previous or current NVDA log and copy their path to clipboard,
* history of voice speechs,
* renaming keyboard keys,
* selective announcement of command keys,
* simple countdown timer,
* restarting NVDA in "debugging" logging level by simple input gesture,
* display of visible elements making up the object in the foreground and possibility to move to or click on the elements,
* quick voice profile switching,
* persistence of NVDA and modification keys and specific persistence for the gmail.com site,
* shutdown, restart or Hibernate the computer,
* management of input gestures configured by user,
* sound control:
	* mute or unmute volume for the focused application,
	* manually or automatically establish the main sound and that of the NVDA audio source,
	* modify the level of the main volume or that of the audio source of the application under focus,
	* automatic recovery of the main volume and NVDA when loading the extension,
	* temporary use of an audio output device without impacting the NVDA configuration,
	* orientation of the application and NVDA audio output,
	


* Tools for development of add-on,
* Complements regarding the date and time:
	* copy of the date and time to the clipboard,
	* Announce the time on the Windows clock with seconds,
	* announcement of the time independent of the punctuation level.


* user configurations management and NVDA restarting  with precise configuration,
* text analyser,
* quick add-ons activation / desactivation.


## The options ##

* remove the announcement from the description of the objects in the Windows ribbons,
* automatic window maximization,
* systematic announcement of punctuation marks when moving by word,
* possibility of signaling spelling errors by a double beep or by a voice announcement instead of the sound emitted by NVDA.
* possibility to block the "Insert" and "Caps lock" keys,
* Pronunciation of non-alphanumeric characters when per-character keyboard echo is disabled.


## The advanced options ##

* Signaling by a sound of the entry of an error in the log of NVDA,
* Title of the add-on's dialog boxes with the add-on's summary,
* configuration of the wait time delay for repeating the same input gesture,
* possible use of numeric keypad keys as standard,
* possibility to limit the repetition of keys.

## Various other elements ##

* menu to explore user configuration folder or NVDA program folder,
* presentation of text formatting information in a dialog box instead of an HTML document,
* Announcement of confirmation style dialog box text even if item description announcement is disabled,
* announcement of the cursor position in the edit boxes,
* script to emulate the "Applications" key,
* script to close all open windows,
* script to display the list of running add-ons,
* possibility of executing scripts from the "Input gestures" dialog,
* automatic selection of the category in the dialog "Input gestures",
* Selection of the last setting  used in the synthesizer settings ring,
* enhancements  for Windows Explorer:
	* a script to announce the access path of the folder or the file which is under the cursor of the Windows explorer, or copy this path in the clipboard.
	* a script to announce, going up the folder tree, the name of the folders making up the path of the folder containing the element under the cursor.


[1]: https://github.com/paulber007/AllMyNVDAAddons/raw/master/NVDAExtensionGlobalPlugin/NVDAExtensionGlobalPlugin-13.4.5.nvda-addon
[2]: https://github.com/paulber007/AllMyNVDAAddons/tree/master/NVDAExtensionGlobalPlugin/dev
[3]:https://github.com/paulber19/NVDAExtensionGlobalPlugin.git
